Skip to main content
GET
/
v0
/
organizations
/
{organization_id}
/
roles
/
{role_id}
curl --request GET \
  --url 'https://api.unify.ai/v0/organizations/<organization_id>/roles/<role_id>' \
  --header "Authorization: Bearer $UNIFY_KEY"
{
    "id": "integer",
    "name": "string",
    "description": "string | null",
    "organization_id": "integer | null",
    "is_system_role": "boolean",
    "created_at": "string",
    "permissions": "[Any]"
}
Get details of a specific role. :param request_fastapi: FastAPI request object. :param organization_id: Organization ID. :param role_id: Role ID. :param session: Database session. :return: Role details.

Authorizations

Authorization
string
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
integer
required
role_id
integer
required
curl --request GET \
  --url 'https://api.unify.ai/v0/organizations/<organization_id>/roles/<role_id>' \
  --header "Authorization: Bearer $UNIFY_KEY"
{
    "id": "integer",
    "name": "string",
    "description": "string | null",
    "organization_id": "integer | null",
    "is_system_role": "boolean",
    "created_at": "string",
    "permissions": "[Any]"
}